<?php

declare(strict_types=1);

namespace KimaAI\Ai\Providers\Contracts;

use KimaAI\Ai\Providers\DTO\ImageRequest;
use KimaAI\Ai\Providers\DTO\ImageResponse;

interface ImageClientInterface {
  public function createImage(ImageRequest $request): ImageResponse;
}
